List runnable node app versions
curl --request GET \
--url https://api.krea.ai/node-apps/{node_app_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.krea.ai/node-apps/{node_app_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.krea.ai/node-apps/{node_app_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"author_id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"scope": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"version": 123,
"version_created_at": "<string>",
"username": "<string>",
"example_outputs": [
"<string>"
],
"input_openapi_schema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
]
},
"output_openapi_schema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
]
},
"node_app_version_id": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Node Apps
List runnable node app versions
List versions of a node app visible to the authenticated user that can be executed through the public API.
GET
/
node-apps
/
{node_app_id}
/
versions
List runnable node app versions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Node app ID
Query Parameters
Number of items to return (1-1000, default: 100)
Required range:
1 <= x <= 1000Cursor for pagination
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?
⌘I